General discussion on installation and configuration of SOGo

Text archives Help


Re: [SOGo] Failed logins with DCERPC calls in 'smb.conf'


Chronological Thread 
  • From: Steve Ankeny < >
  • To:
  • Subject: Re: [SOGo] Failed logins with DCERPC calls in 'smb.conf'
  • Date: Sat, 15 Aug 2015 13:50:40 -0400

On 08/15/2015 12:52 PM, Rowland Penny wrote:
Can I ask how you installed Openchange, one of the lines you have in smb.conf is only needed when updating the AD schema 'dsdb:schema update allowed = true', I would think that Openchange only does this once, so you can probably remove this.

Rowland

SOGo Native Microsoft Outlook Configuration, pg 9 lists the packages to install --

apt-get install openchangeserver \
    sogo-openchange \
    openchangeproxy \
    python-ocsmanager \
    mysql-server \
    python-mysqldb \
    openchange-ocsmanager \
    openchange-rpcproxy \
    python-sievelib \
    python-spyne \
    python-rpclib

here are my installed packages (plus 'mariadb-server' and libs)

adam@sogo:~$ sudo dpkg --get-selections | egrep 'openchange|ocsmanager|rpc|spyne'
libgssrpc4:amd64                                install
openchange-ocsmanager                   install
openchange-rpcproxy                         install
openchangeproxy                               install
openchangeserver                              install
python-ocsmanager                            install
python-rpclib                                       install
python-spyne                                      install
sogo-openchange:amd64                    install
adam@sogo:~$

pg 10 of the manual discusses Samba 4 configuration and includes --

––– Configuration required by OpenChange server –––
dsdb:schema update allowed = true
dcerpc endpoint servers = epmapper, mapiproxy, dnsserver
dcerpc_mapiproxy:server = true
dcerpc_mapiproxy:interfaces = exchange_emsmdb, exchange_nsp, exchange_ds_rfr
––– Configuration required by OpenChange server –––

my 'smb.conf' reads --

### Configuration required by OpenChange server ###
#dsb:schema update allowed = true
#dcerpc endpoint servers = +mapiproxy
#dcerpc_mapiproxy:server = true
#dcerpc_mapiproxy:interfaces = exchange_emsmdb, exchange_nsp, exchange_ds_rfr
### Configuration required by OpenChange server ###

currently, I have the "dcerpc" calls commented out of the conf (as above)

two questions --

(1) should nmbd be running?

(2) should the 'dsb:schema' line be commented out?

thx, as always




Archive powered by MHonArc 2.6.18.

Top of page